Subject: bug#25408: Remove Decorations Around Emacs Frame (NS port)

From: Alan Third <[email-masked]>
Date: Sat, 10 Jun 2017 16:38:53 +0100

I forgot that this bug is still open. Is it waiting for me to finish
up the NS stuff?

On Wed, Apr 19, 2017 at 08:07:05PM +0200, martin rudalics wrote:
> > Oh, I just remembered I’ve not yet done frame-list-z-order. It should
> > be easy enough, NSApplication has an orderedWindows function which, I
> > think, should return an ordered array of NSWindow objects.
> 
> Please do that.

This is done.

> > Should I look into no-focus-on-map and no-accept-focus too?
> 
> That would be fine.  There's also the 'skip-taskbar' parameter but I
> have no idea whether NS allows that and whether NS provides Alt-tabbing.

no-accept-focus is done, but no-focus-on-map is harder. I believe I
can get a new frame to not be focused on creation, but I don’t see any
way to prevent a minimized frame from becoming focused when
unminimized.

macOS has alt‐tabbing between applications, but also alt‐` switches
between application windows. I haven’t yet found a way to disable
this.

FWIW, no-accept-focus, as implemented, prevents a frame from *ever*
accepting focus (although it can still accept input, which is
strange!). Rereading your description makes me wonder if I’ve done
that wrong and the current behaviour is closer to no-accept-focus,
no-focus-on-map and skip-taskbar all being on?

I’m not sure I can do it any other way, though.

> And please have a look into the Elisp manual: Maybe you find something
> worth mentioning (the fact that removing decorations removes the tool
> bar should certainly go there).

This is done.
-- 
Alan Third